China factories

Battery Operated LED Table Lamp Perfect for Study Room Bedroom Featuring Adjustable Brightness and Long Battery Duration

Price: Negotiable price Get Latest Price
  • Brand Name: DY
  • Model Number: 3688
  • Minimum Order Quantity: 60PCS/Carton
  • Delivery Time: 3-10days
  • view more

Luxury Crystal Bedside Lamp Nordic Romantic Post-modern Bedroom Decorative Table Lamp

Price: Negotiation Get Latest Price
  • Brand Name: JYLIGHTING
  • Model Number: JYL-T0026
  • Minimum Order Quantity: 5 PC
  • Delivery Time: 15 days after received the advance payment
  • view more

1S LiPo Batteries 3.7V 380mAh Rechargeable Li-polymer Battery 861632 for Table Lamp

Price: 0.8-1.5USD/PCS Get Latest Price
  • Brand Name: UNEMETECH
  • Model Number: UNM861632
  • Minimum Order Quantity: 5000PCS
  • Delivery Time: 7-35 days
  • view more

Crystal Table Lamp Bedroom Crystal Bedside Lamp Round LED Decorative Table Lamp(WH-MTB-126)

Price: 1-100USD Get Latest Price
  • Brand Name: Well House
  • Model Number: WH-MTB-126
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

Modern Table Lamp Bedroom Study Bedside Semicircle Lamp small decorative table lamp

Price: D260*H620mm 43.75USD /UNIT Get Latest Price
  • Brand Name: BOLITE
  • Model Number: B40001
  • Minimum Order Quantity: 5Pieces
  • Delivery Time: 7-25DAYS
  • view more

New Simple Gold Spiral Acrylic Metal Bedroom Bedside Hotel Luxury Decorative Table Lamp

Price: Factory price/Genuine retail price Get Latest Price
  • Brand Name: ZSHONORHIGH, SIDEREAL
  • Model Number: ABM-0129
  • Minimum Order Quantity: 100 set/<100set
  • Delivery Time: 7-15days
  • view more

Warm-light LED tree lamp Battery-operated crystal tree lamp Mini Christmas ambient light Decorative lamp with gold base

Price: Negotiable Get Latest Price
  • Brand Name: You mei City Lighting Co., Ltd.
  • Model Number: Negotiable
  • Minimum Order Quantity: 1000
  • Delivery Time: Negotiable
  • view more

Modern Nordic Art Designer Table Lamp Model Room Hotel Decorative Table Lamp

Price: Negotiable Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-RFC1157,GRH-RFC1151,GRH-RFC1157,GRH-RFC1136
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: Negotiable
  • view more

Eco-Friendly Handmade LED Taper Candle with Remote Control for Flameless Battery Operated Decoration

Price: Negotiable Get Latest Price
  • Brand Name: Longshengxiang
  • Model Number: LSX-43
  • Minimum Order Quantity: Negotiable
  • Delivery Time: Negotiable
  • view more

Battery Operated Lift Table Transfer Cart Hand Pendant Remote Control

Price: Negotiation Get Latest Price
  • Brand Name: BEFANBY
  • Model Number: KPX+lifting
  • Minimum Order Quantity: 1 set/sets
  • Delivery Time: 40-50 days as usual delivery,30-40days for urgent delivery
  • view more

Retro LED Table Lamp Creative Dimmable Hotel/Study/Bedside Lamp Luxury Hotel Decorative Table Lamp

Price: $16 Get Latest Price
  • Brand Name: JMK
  • Model Number: JMK-G65A
  • Minimum Order Quantity: 100pcs
  • Delivery Time: 3-4Weeks
  • view more

JAFFA Custom Mondrian Style Acrylic Creative Lamp, Geometric Color Block Ambient Light, Decorative Table Lamp for Home & Art Gallery

Price: Negotiable Get Latest Price
  • Brand Name: JAFFA DESIGN PLASTIC
  • Model Number: Negotiable
  • Minimum Order Quantity: 5set
  • Delivery Time: 7-10 work days
  • view more

Lamp Sizes Middle USB Rechargeable LED Table Lamp for Hotel Guest Room Decoration

Price: $8.60/pieces 500-999 pieces Get Latest Price
  • Brand Name: Sunshining
  • Model Number: SL-T002-B
  • Minimum Order Quantity: 500 pieces
  • Delivery Time: Negotiable
  • view more

Commercial Decorative Designer Paper Origami Table Lamp Adjustable Sensitive Control

Price: 6.6 Get Latest Price
  • Brand Name: No Brand
  • Model Number: S-002
  • Minimum Order Quantity: 500
  • Delivery Time: 15 work days
  • view more

2700K Dual Color LED Table Lamp with Gravity Sensor and Rechargeable Lithium Battery

Price: $7.99-9.99 Get Latest Price
  • Brand Name: VALED
  • Model Number: T9
  • Minimum Order Quantity: 500
  • Delivery Time: Negotiable
  • view more

RGB Touch Control Crystal Desk Light Acrylic Rechargeable Table Lamp Living Room

Price: Negotiable Get Latest Price
  • Brand Name: QiFan
  • Model Number: CL-02
  • Minimum Order Quantity: 300pcs
  • Delivery Time: 15days
  • view more

Modern 2700K Warm White LED Table Lamp with E26 Bulb Base and 30000 Hours Lifespan for Bedside Decorative Lighting

Price: €341.66-427.07 Get Latest Price
  • Brand Name: YH
  • Model Number: Negotiable
  • Minimum Order Quantity: 1
  • Delivery Time: Negotiable
  • view more

Battery operated Led birdcage light,Hang bird lamp,Decorative lighting

Price: USD2.65-2.75/pc Get Latest Price
  • Brand Name: Pinbo
  • Model Number: PT92549
  • Minimum Order Quantity: 1,000pcs
  • Delivery Time: 25 days after received your payment
  • view more

Solar Garden Table Lamp with Cross-Woven Shade, 5000mAh Battery, and IP65+ Protection for Patio Styling

Price: Negotiable Get Latest Price
  • Brand Name: MEITU
  • Model Number: SXT0234-68M
  • Minimum Order Quantity: 50
  • Delivery Time: 35DAYS
  • view more